%define modname braille
%define soname %{modname}.so
%define inifile A65_%{modname}.ini

Summary:	Functions to control a braille display (and keyboard), based on libbraille
Name:		php-%{modname}
Version:	0.1.1
Release:	%mkrel 6
Group:		Development/PHP
License:	PHP License
URL:		http://braille.php-baustelle.de/trac/
Source0:	http://braille.php-baustelle.de/downloads/Releases/%{modname}-%{version}.tgz
# Taken from Mandriva
Patch0:		braille-0.1.1-php54x.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRequires:	libbraille-devel

%description
Functions to control a braille display (and keyboard), based on libbraille.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Jan 24 2014 pterjan <pterjan> 0.1.1-6.mga4
+ Revision: 567635
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-5.mga4
+ Revision: 527786
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.1.1-4.mga4
+ Revision: 442622
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.1.1-3.mga3
+ Revision: 393249
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 375716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 24 2012 spuhler <spuhler> 0.1.1-1.mga3
+ Revision: 273930
- added braille-0.1.1-php54x.diff
- upgrade to 1.0.1

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.0-20.mga2
+ Revision: 223865
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.1.0-19.mga2
+ Revision: 185085
- rebuild against php-5.3.9
  upgrade to 1.0.2

* Sun Feb 06 2011 spuhler <spuhler> 0.1.0-18.mga1
+ Revision: 47744
- removed buildroot definition from .spec
- imported package php-braille


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-18mdv2011.0
+ Revision: 629769
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-17mdv2011.0
+ Revision: 628071
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-16mdv2011.0
+ Revision: 600465
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-15mdv2011.0
+ Revision: 588747
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-14mdv2010.1
+ Revision: 514521
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-13mdv2010.1
+ Revision: 485343
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-12mdv2010.1
+ Revision: 468148
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-11mdv2010.0
+ Revision: 451256
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1.0-10mdv2010.0
+ Revision: 397269
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-9mdv2010.0
+ Revision: 376976
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-8mdv2009.1
+ Revision: 346398
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2009.1
+ Revision: 341711
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdv2009.1
+ Revision: 321706
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdv2009.1
+ Revision: 310252
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdv2009.0
+ Revision: 238378
- rebuild

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2008.1
+ Revision: 162213
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2008.1
+ Revision: 107607
- restart apache if needed

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.0
+ Revision: 79450
- Import php-braille



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.0
- initial Mandriva package
